Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364560 - mod_nss leaks semaphores
Summary: mod_nss leaks semaphores
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mod_nss
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 7.3
Assignee: Rob Crittenden
QA Contact: Kaleem
URL:
Whiteboard:
: 1365543 (view as bug list)
Depends On: 1326840
Blocks: 1326841 1364561
TreeView+ depends on / blocked
 
Reported: 2016-08-05 17:35 UTC by Matthew Harmsen
Modified: 2016-11-03 21:20 UTC (History)
10 users (show)

Fixed In Version: mod_nss-1.0.14-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1326840
: 1364561 (view as bug list)
Environment:
Last Closed: 2016-11-03 21:20:48 UTC


Attachments (Terms of Use)
console.log (deleted)
2016-08-11 07:04 UTC, Abhijeet Kasurde
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2602 normal SHIPPED_LIVE Low: mod_nss security, bug fix, and enhancement update 2016-11-03 12:12:49 UTC

Comment 2 Rob Crittenden 2016-08-09 15:44:29 UTC
*** Bug 1365543 has been marked as a duplicate of this bug. ***

Comment 3 Rob Crittenden 2016-08-09 15:45:36 UTC
Shutdown caused a segmentation fault because the pipe in file descriptor was being closed twice.

Comment 6 Rob Crittenden 2016-08-10 14:04:58 UTC
Fixed a double-free.

Comment 8 Abhijeet Kasurde 2016-08-11 07:03:42 UTC
Verified using mod_nss version ::

mod_nss-1.0.14-5.el7.x86_64

Attaching verification steps and console.log. Marking BZ as verified.

Comment 9 Abhijeet Kasurde 2016-08-11 07:04:03 UTC
Created attachment 1189924 [details]
console.log

Comment 11 errata-xmlrpc 2016-11-03 21:20:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2602.html


Note You need to log in before you can comment on or make changes to this bug.